---
name: Bug report
about: Have you found a bug in Snoopy? Report it via this template.
title: '<BUG TITLE HERE>'
labels: 'Type: Bug'
assignees: ''
---
## Checklist before starting to submit this bug report

I confirm that:
- [X] I am submitting a bug report! :)
- [ ] I have tested this with the [latest stable Snoopy version](https://github.com/a2o/snoopy/releases/latest) (or the latest master build).
- [ ] I have checked the [FAQ](https://github.com/a2o/snoopy/blob/master/doc/FAQ.md).
- [ ] I have read Snoopy's documentation [here](https://github.com/a2o/snoopy/blob/master/README.md) and [here](https://github.com/a2o/snoopy/tree/master/doc).
- [ ] I have searched [Snoopy issues](https://github.com/a2o/snoopy/issues?q=is%3Aissue) for an existing issue that matches my problem, and found none.



## Bug description

`<INSERT A DESCRIPTION OF THE BUG HERE.>`
`<CAN BE VERY BRIEF...>`
`<...OR REMOVE THE SECTION ALTOGETHER IF ALREADY DESCRIBED ADEQUATELY IN THE "Expected result"/"Actual result" SECTIONS BELOW.>`



## Bug reproduction steps

To avoid describing the environment "manually", I am providing a [Docker-based issue demo](../blob/master/doc/DOCKER-BASED-ISSUE-DEMO.md).

My `Dockerfile` content:
```
<PASTE YOUR Dockerfile CONTENT HERE>
```

My `docker run ...` command that goes along with my `Dockerfile` to start the container:
```
<PASTE docker run COMMAND HERE>
```

My additional command to run inside the container to triggre the bug (remove this section if not needed):
```
<PASTE ADDITIONAL COMMAND HERE>
```



## Expected result

`<FILLIN>`



## Actual result

`<FILLIN>`
